<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: CAS proxied client features (CAS 2.0, Proxy Tickets)</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>CAS proxied client features (CAS 2.0, Proxy Tickets)<br/>
<small>
[<a class="el" href="group__internal.html">Implementation</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#gaf916fb31175e9dd4b8f383f6f6085982">CASClient::getPT</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga23e26824081b516fcbe856f459249956">CASClient::setPT</a> ($pt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga72ebeda5e6c9dbaac0e1e20a9e6419e4">CASClient::hasPT</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga59ed21e8f3d40c8f33d277ca7ea3224f">CASClient::validatePT</a> (&amp;$validate_url, &amp;$text_response, &amp;$tree_response)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga871da1b6b42d8afdab4198bf2d38cadc">CASClient::$_pt</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaf916fb31175e9dd4b8f383f6f6085982"></a><!-- doxytag: member="CASClient::getPT" ref="gaf916fb31175e9dd4b8f383f6f6085982" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getPT </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the Proxy Ticket provided in the URL of the request. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The proxy ticket. </dd></dl>

</div>
</div>
<a class="anchor" id="ga72ebeda5e6c9dbaac0e1e20a9e6419e4"></a><!-- doxytag: member="CASClient::hasPT" ref="ga72ebeda5e6c9dbaac0e1e20a9e6419e4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::hasPT </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method tells if a Proxy Ticket was stored. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE if a Proxy Ticket has been stored. </dd></dl>

</div>
</div>
<a class="anchor" id="ga23e26824081b516fcbe856f459249956"></a><!-- doxytag: member="CASClient::setPT" ref="ga23e26824081b516fcbe856f459249956" args="($pt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setPT </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>pt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method stores the Proxy Ticket. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$pt</em>&nbsp;</td><td>The Proxy Ticket. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga59ed21e8f3d40c8f33d277ca7ea3224f"></a><!-- doxytag: member="CASClient::validatePT" ref="ga59ed21e8f3d40c8f33d277ca7ea3224f" args="(&amp;$validate_url, &amp;$text_response, &amp;$tree_response)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::validatePT </td>
          <td>(</td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>validate_url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>text_response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&amp;$&nbsp;</td>
          <td class="paramname"> <em>tree_response</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to validate a PT; halt on failure</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>bool TRUE when successfull, halt otherwise by calling <a class="el" href="group__internal_misc.html#ga4dda8e03389ad8a515d4e45cb42859ca">CASClient::authError()</a>. </dd></dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga871da1b6b42d8afdab4198bf2d38cadc"></a><!-- doxytag: member="CASClient::$_pt" ref="ga871da1b6b42d8afdab4198bf2d38cadc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_pt<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>the Proxy Ticket provided in the URL of the request if present (empty otherwise). Written by <a class="el" href="group__internal_config.html#ga8835a61f1bd234295466079e8b3c83af">CASClient::CASClient()</a>, read by <a class="el" href="group__internal_proxied.html#gaf916fb31175e9dd4b8f383f6f6085982">CASClient::getPT()</a> and <a class="el" href="group__internal_proxy.html#ga432d879c0441763b4c1c1582bf1bc44c">CASClient::hasPGT()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
